package com.engine.kqsolution.service;

import com.engine.kqsolution.entity.CustomSignDataParam;
import com.engine.kqsolution.entity.SignDataParams;
import com.engine.kqsolution.entity.WorkflowDetailVO;

import java.util.List;
import java.util.Map;

/**
 * @Author liang.cheng
 * @Date 2023/9/18 11:44 AM
 * @Description: TODO
 * @Version 1.0
 */
public interface SignDataSummaryService {

    /**
     * @Description: 建模表更新打卡数据
     * @Author: liang.cheng
     * @Date: 2023/9/18 2:18 PM
     * @param: [signDataParams]
     * @return: java.util.Map<java.lang.String,java.lang.Object>
     */
    Map<String,Object> recordSignData(SignDataParams signDataParams);

    /**
     * @Description: 考勤工时统计台账 自定义同步
     * @Author: liang.cheng
     * @Date: 2024/5/22 3:25 PM
     * @param: [customSignDataParam]
     * @return: java.util.Map<java.lang.String,java.lang.Object>
     */
    Map<String,Object> customSignData(CustomSignDataParam customSignDataParam);


    /**
     * @Description: 批量调整工时明细表带入
     * @Author: liang.cheng
     * @Date: 2024/5/27 10:23 AM
     * @param: [ids]
     * @return: java.util.List<com.engine.kqsolution.entity.WorkflowDetailVO>
     */
    List<WorkflowDetailVO> workflowDetail(String ids);
}
